<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
>

<ui:composition template="WEB-INF/template.xhtml">

    <ui:define name="pageContent">
        <b:container>
        <div class="formPanel customRows">
        <!-- Add airport popup -->
        <b:modal id="addAirportPopup" title="Add airport" styleClass="modalPseudoClass">
            <b:form id="addAirport">

                <h:outputLabel>Airport code:</h:outputLabel>
                <b:inputText value="#{airportBean.airport.code}" required="true">
                    <f:validateLength minimum="3" maximum="3"/>
                </b:inputText>

                <h:outputLabel>Airport name:</h:outputLabel>
                <b:inputText value="#{airportBean.airport.name}" required="true">
                    <f:validateLength minimum="3" maximum="64"/>
                </b:inputText>

                <h:outputLabel>Airport country:</h:outputLabel>
                <b:selectOneMenu value="#{airportBean.airport.country}"
                                 rendered="#{not empty airportBean.getAllCountries()}" required="true">
                    <f:selectItems value="#{airportBean.getAllCountries()}"/>
                </b:selectOneMenu>
                <b:inputText value="#{airportBean.airport.country}" rendered="#{empty airportBean.getAllCountries()}" required="true" >
                    <f:validateLength minimum="3" maximum="64"/>
                </b:inputText>


                <h:outputLabel>Airport timezone:</h:outputLabel>
                <b:selectOneMenu value="#{airportBean.airport.timeZone}"
                                 rendered="#{not empty airportBean.getAllTimeZones()}" required="true">
                    <f:selectItems value="#{airportBean.getAllTimeZones()}"/>
                </b:selectOneMenu>
                <b:inputText value="#{airportBean.airport.timeZone}" rendered="#{empty airportBean.getAllTimeZones()}" required="true"/>


                <b:button value="Close" dismiss="modal"/>
                <b:commandButton value="Ok" look="primary" dismiss="modal" action="#{airportBean.save()}"/>

            </b:form>
        </b:modal>


        <!-- Edit airport popup -->
        <b:modal id="editAirportPopup" title="Edit airport" styleClass="modalPseudoClass">
            <b:form id="editAirport">
                <b:panelGrid columns="2">
                    <h:outputLabel>Airport code:</h:outputLabel>
                    <h:outputText value="#{airportBean.airport.code}"/>

                    <h:outputLabel>Airport name:</h:outputLabel>
                    <b:inputText value="#{airportBean.airport.name}" required="true">
                        <f:validateLength minimum="3" maximum="64"/>
                    </b:inputText>

                    <h:outputLabel>Airport country:</h:outputLabel>
                    <h:outputText value="#{airportBean.airport.country}" />

                    <h:outputLabel>Airport timezone:</h:outputLabel>
                    <h:outputText value="#{airportBean.airport.timeZone}"/>
                </b:panelGrid>

                <b:button value="Close" dismiss="modal"/>
                <b:commandButton value="Ok" look="primary" dismiss="modal" action="#{airportBean.update()}"/>
            </b:form>
        </b:modal>


        <!-- Add airport button -->
        <b:form>
            <b:commandButton value="Add airport" look="success"
                             action="#{airportBean.addAirport()}"
                             size="md"/>
        </b:form>
        <!-- Datatable -->
        <b:dataTable value="#{airportSearchBean.getAllAirports()}" var="airport">

            <b:dataTableColumn>
                <f:facet name="header">Code</f:facet>
                <h:outputText value="#{airport.code}"/>
            </b:dataTableColumn>

            <b:dataTableColumn>
                <f:facet name="header">Name</f:facet>
                <h:outputText value="#{airport.name}"/>
            </b:dataTableColumn>

            <b:dataTableColumn>
                <f:facet name="header">Country</f:facet>
                <h:outputText value="#{airport.country}"/>
            </b:dataTableColumn>

            <b:dataTableColumn>
                <f:facet name="header">Timezone</f:facet>
                <h:outputText value="#{airport.timeZone}"/>
            </b:dataTableColumn>

            <b:dataTableColumn>
                <f:facet name="header">Edit</f:facet>

                <b:form>
                    <h:form>
                        <b:commandButton value="Edit"
                                         action="#{airportBean.editAirport(airport.id)}"/>
                    </h:form>
                </b:form>
            </b:dataTableColumn>
        </b:dataTable>
        <script type="text/javascript">
            $(function(){
                if("#{airportBean.edit}" != "false")$('#editAirportPopup').modal();
                if("#{airportBean.add}" != "false")$('#addAirportPopup').modal(); });
        </script>
        </div>
        </b:container>
    </ui:define>
</ui:composition>
<style type="text/css">

</style>

</html>
